@import "mixins";
@import "variables";

.wrapper__s-o {

  @include flex-column;
  margin-bottom: 120px;

  .title__s-o {
    font-family: "Montserrat";
    font-style: normal;
    font-weight: 700;
    font-size: 26px;
    line-height: 28px;
    text-transform: uppercase;

    color: #635c73;

    text-align: center;
    margin-bottom: 28px;
    margin-top: 80px;
  }
  .text__s-o {
    font-family: "Lato";
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;

    color: #323232;

    text-align: center;
    margin-bottom: 36px;
  }
  .wrapper-btn-s-o {
    &__list-btn {
      @include flex-center;

      flex-wrap: wrap;
      margin: 0 -5px;

      &__btn-item {
        border: 1px solid #dadada;
        border-radius: 5px;
        display: flex;
        justify-content: center;
        align-items: center;

        margin: 0 5px;
        margin-bottom: 20px;

        min-width: 128px;

        &__btn {
          display: flex;
          align-items: center;
          justify-content: space-between;
          width: 100%;

          &__img-text {
            display: flex;
            align-items: center;
            justify-content: space-around;

            font-family: "Montserrat";
            font-weight: 700;
            font-size: 10px;
            line-height: 16px;
            color: #323232;

            margin: 8px 2px 8px 0;

            &--icon {
              margin: 0 8px 0 4px;
            }
          }

          &--count {
            font-size: 14px;

            border-radius: 50%;
            background-color: #f2eeeefa;
            padding: 3px;

            @include flex-center;

            margin-right: 6px;

            font-family: "Montserrat";
            font-weight: 700;
            font-size: 10px;
            line-height: 16px;
            color: #323232;
          }

          &__triangle-down {
            border-left: 1px solid #dadada;
            min-height: 100%;

            @include flex-center;

            padding: 8px 5px 8px 5px;
            max-width: 25%;
          }
        }
      }
    }
  }
}

@media screen and (min-width: 481px) {
  .container {
    min-width: 461px;
  }

  .wrapper__s-o {
    margin-bottom: 160px;

    .title__s-o {
      font-size: 42px;
      line-height: 42px;

      color: #635c73;
      border-top: 94px;
      margin-bottom: 33px;
    }
    .text__s-o {
      font-size: 21px;
      line-height: 32px;

      color: #323232;

      text-align: center;
      margin-bottom: 24px;
    }
  }
}

@media screen and (min-width: 993px) {
  .container {
    min-width: 973px;
  }

  .wrapper__s-o {
    margin-bottom: 70px;

    .title__s-o {
      margin-bottom: 35px;
      font-size: 54px;
      line-height: 54px;
      margin-top: 66px;
    }
    .text__s-o {
      margin-bottom: 13px;
    }
  }
}
